APIキーの作成はサポートされなくなりました。このエンドポイントは非推奨となり、代わりにサービス アカウントが採用されます。 POST /api/v1/projects/{id}/service-accounts または CLI の service-account create コマンドを使用してサービス アカウントを作成します。既存のキーは引き続き機能します。が利用可能のままであることを確認して取り消します。
POST /api/v1 /projects/{id}/keys
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/keys' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"description": "string",
"expires_in": 42
}'
リクエスト例
{
"description": "string",
"expires_in": 42
}
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(410)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(410)
{
"code": "string",
"error": "string",
"success": true
}